package com.wechat.model.responseDto;

import com.wechat.common.utils.StringsUtils;

/**
* @author jadyn
* @version 创建时间：2022-05-23 16:44
*  酒店主页背景上传
*/
public class EnterpriseBgImgsResp {
	private String urlBase; // 域名
	private String topBackgroundPc; // 个人中心顶部背景图-PC
	private String topBackgroundMbl; // 个人中心顶部背景图-移动
	private String portraitBackgroundPc; // 头像中心背景图-PC
	private String portraitBackgroundMbl; // 头像中心背景图-移动
	
	public EnterpriseBgImgsResp(String urlBase) {
		this.urlBase = urlBase;
	}
	
	public String getTopBackgroundPc() {
		return topBackgroundPc;
	}
	public void setTopBackgroundPc(String topBackgroundPc) {
		if(!StringsUtils.isEmpty(topBackgroundPc)) {
			//补全域名
			topBackgroundPc = this.urlBase + topBackgroundPc;
		}
		this.topBackgroundPc = topBackgroundPc;
	}
	public String getTopBackgroundMbl() {
		return topBackgroundMbl;
	}
	public void setTopBackgroundMbl(String topBackgroundMbl) {
		if(!StringsUtils.isEmpty(topBackgroundMbl)) {
			topBackgroundMbl = this.urlBase + topBackgroundMbl;
		}
		this.topBackgroundMbl = topBackgroundMbl;
	}
	public String getPortraitBackgroundPc() {
		return portraitBackgroundPc;
	}
	public void setPortraitBackgroundPc(String portraitBackgroundPc) {
		if(!StringsUtils.isEmpty(portraitBackgroundPc)) {
			portraitBackgroundPc = this.urlBase + portraitBackgroundPc;
		}
		this.portraitBackgroundPc = portraitBackgroundPc;
	}
	public String getPortraitBackgroundMbl() {
		return portraitBackgroundMbl;
	}
	public void setPortraitBackgroundMbl(String portraitBackgroundMbl) {
		if(!StringsUtils.isEmpty(portraitBackgroundMbl)) {
			portraitBackgroundMbl = this.urlBase + portraitBackgroundMbl;
		}
		this.portraitBackgroundMbl = portraitBackgroundMbl;
	}

}
